org.crosswire.bibledesktop.book.install

## Class BookNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.crosswire.bibledesktop.book.install.BookNode

- All Implemented Interfaces:
    Serializable, Cloneable, MutableTreeNode, TreeNode

      public class BookNode
      extends DefaultMutableTreeNode

  A Node for a book in a tree. It may be a property of a BookMetaData or the BookMetaData itself.
  Author:
    DM Smith
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BookNode(Object node, org.crosswire.jsword.book.BookSet books, int level, Object... grouping)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BookNode

          public BookNode(Object node,
                  org.crosswire.jsword.book.BookSet books,
                  int level,
                  Object... grouping)